Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.launcher
Class DefaultMuleSharedDomainClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.mule.module.launcher.GoodCitizenClassLoader
                      org.mule.module.launcher.MuleSharedDomainClassLoader
                          org.mule.module.launcher.DefaultMuleSharedDomainClassLoader

    public class DefaultMuleSharedDomainClassLoader

extends MuleSharedDomainClassLoader

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`GoodCitizenClassLoader.NonCachingURLStreamHandlerFactory`

Field Summary
`protected static String` | `DEFAULT_DOMAIN_NAME`

Fields inherited from class org.mule.module.launcher.MuleSharedDomainClassLoader
`logger`

Constructor Summary
`DefaultMuleSharedDomainClassLoader(ClassLoader parent)`

Method Summary

Methods inherited from class org.mule.module.launcher.MuleSharedDomainClassLoader
`getDomain, toString`

Methods inherited from class org.mule.module.launcher.GoodCitizenClassLoader
`close`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DOMAIN_NAME

    protected static final String DEFAULT_DOMAIN_NAME

See Also:
  Constant Field Values

Constructor Detail

### DefaultMuleSharedDomainClassLoader

    public DefaultMuleSharedDomainClassLoader(ClassLoader parent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.